com.ihr.xbrl.dts

## Class BasicInstantOnColumnRecognition

- java.lang.Object
- - com.ihr.xbrl.dts.BasicInstantOnColumnRecognition

- All Implemented Interfaces:
    InstantOnColumnRecognitionSupport

      public class BasicInstantOnColumnRecognition
      extends java.lang.Object
      implements InstantOnColumnRecognitionSupport

  Simple class implementing the InstantOnColumnRecognitionSupport interface and some helper methods.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicInstantOnColumnRecognition()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HandleDateStep.InstantMode` | `getInstantMode(java.lang.String roleURI)` If the roleURI is in the list of the roles for the beginning of period then BOP is returned. if the roleURI is in the list of roles for the end of period then EOP is returned. otherwise ANY is returned.
    `HandleDateStep.InstantMode` | `getInstantMode(XBRLFactItem fact, ColumnPeriod cp)` This method returns a value from the InstantMode enumeration as follows: BOP if the fact is instant and the date corresponds to the beginning of the column period EOP if the fact is instant and the date corresponds to the end of the column period ANY if the fact is instant and the date is within the period but is not BOP and not EOP UNKOWN in any other cases including the fact is duration .

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicInstantOnColumnRecognition

          public BasicInstantOnColumnRecognition()

  - ### Method Detail

    - #### getInstantMode

          public HandleDateStep.InstantMode getInstantMode(XBRLFactItem fact,
                                                  ColumnPeriod cp)

      Description copied from interface: `InstantOnColumnRecognitionSupport`
      This method returns a value from the InstantMode enumeration as follows:
      - BOP if the fact is instant and the date corresponds to the beginning of the column period
      - EOP if the fact is instant and the date corresponds to the end of the column period
      - ANY if the fact is instant and the date is within the period but is not BOP and not EOP
      - UNKOWN in any other cases including the fact is duration
      .
      Specified by:
        `getInstantMode` in interface `InstantOnColumnRecognitionSupport`
      Parameters:
        `fact` - the fact
        `cp` - the cp
      Returns:
        boolean

    - #### getInstantMode

          public HandleDateStep.InstantMode getInstantMode(java.lang.String roleURI)

      If the roleURI is in the list of the roles for the beginning of period then BOP is returned. if the roleURI is in the list of roles for the end of period then EOP is returned. otherwise ANY is returned. Note this method does not check the fact dates just the URI roles.
      Parameters:
        `roleURI` - the role uri
      Returns:
        value from the InstantMode enumeration